#
# Conditional build:
%bcond_without	python2		# Python 2.x module
%bcond_without	python3		# Python 3.x module
%bcond_without	apidocs		# Sphinx-based API documentation
#
%define		rname		dbus-python
#
Summary:	Python library for using D-BUS
Summary(pl.UTF-8):	Biblioteka do używania D-BUS oparta o Pythona
Name:		python-dbus
Version:	1.2.16
Release:	1
License:	MIT
Group:		Libraries/Python
Source0:	https://dbus.freedesktop.org/releases/dbus-python/%{rname}-%{version}.tar.gz
# Source0-md5:	51a45c973d82bedff033a4b57d69d5d8
URL:		https://www.freedesktop.org/wiki/Software/DBusBindings
BuildRequires:	autoconf >= 2.59c
BuildRequires:	autoconf-archive
BuildRequires:	automake >= 1:1.13
BuildRequires:	cpp
BuildRequires:	dbus-devel >= 1.8
BuildRequires:	glib2-devel >= 1:2.40
BuildRequires:	libtool
BuildRequires:	pkgconfig
%if %{with python2}
BuildRequires:	python-devel >= 1:2.7
%if %{with apidocs}
BuildRequires:	python-Sphinx
BuildRequires:	python-sphinx_rtd_theme
%endif
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.5
%if %{with apidocs} && %{without python2}
BuildRequires:	python3-Sphinx
BuildRequires:	python3-sphinx_rtd_theme
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	dbus-libs >= 1.8
Requires:	glib2 >= 1:2.40
Requires:	python-libxml2 >= 1:2.6.26
Requires:	python-modules >= 1:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
D-BUS add-on library to integrate the standard D-BUS library with
Python.

%description -l pl.UTF-8
Dodatkowa biblioteka D-BUS do integracji standardowej biblioteki D-BUS
z Pythonem.

%package devel
Summary:	C API for _dbus_bindings module
Summary(pl.UTF-8):	API C dla modułu _dbus_bindings
License:	AFL v2.1 or LGPL v2.1
Group:		Development/Libraries
Requires:	dbus-devel >= 1.8
Requires:	glib2-devel >= 1:2.40
#R: python-dbus = %{version}-%{release}  or  python3-dbus = %{version}-%{release}
#R: python-devel >= 1:2.7  or  python3-devel >= 1:3.5

%description devel
C API for _dbus_bindings module.

%description devel -l pl.UTF-8
API C dla modułu _dbus_bindings.

%package apidocs
Summary:	API documentation for Python dbus module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona dbus
Group:		Documentation

%description apidocs
API documentation for Python dbus module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona dbus.

%package -n python3-dbus
Summary:	Python 3 library for using D-BUS
Summary(pl.UTF-8):	Biblioteka do używania D-BUS oparta o Pythona 3
Group:		Libraries/Python
Requires:	dbus-libs >= 1.8
Requires:	glib2 >= 1:2.40
Requires:	python3-modules >= 1:3.5

%description -n python3-dbus
D-BUS add-on library to integrate the standard D-BUS library with
Python 3.

%description -n python3-dbus -l pl.UTF-8
Dodatkowa biblioteka D-BUS do integracji standardowej biblioteki D-BUS
z Pythonem 3.

%prep
%setup -qn %{rname}-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}

%if %{with python3}
mkdir py3
cd py3
../%configure \
	PYTHON=%{__python3} \
	PYTHON_LIBS=-lpython3 \
	--enable-documentation%{?with_python2:=no}%{!?with_python2:%{!?with_apidocs:=no}}
%{__make}
cd ..
%endif

%if %{with python2}
mkdir py2
cd py2
../%configure \
	PYTHON=%{__python} \
	PYTHON_LIBS=-lpython \
	--enable-documentation%{!?with_apidocs:=no}
%{__make}
cd ..
%endif

%install
rm -rf $RPM_BUILD_ROOT

# use sitedir instead of sitescriptdir to match PyQt4 dbus/mainloop dir
%if %{with python2}
%{__make} -C py2 install \
	pythondir=%{py_sitedir} \
	DESTDIR=$RPM_BUILD_ROOT

%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/_dbus*.la
%endif

%if %{with python3}
%{__make} -C py3 install \
	pythondir=%{py3_sitedir} \
	DESTDIR=$RPM_BUILD_ROOT

%py3_comp $RPM_BUILD_ROOT%{py3_sitedir}
%py3_ocomp $RPM_BUILD_ROOT%{py3_sitedir}

%{__rm} $RPM_BUILD_ROOT%{py3_sitedir}/_dbus*.la
%endif

%if %{with apidocs}
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/dbus-python/{_sources,objects.inv}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README doc/{API_CHANGES,tutorial}.txt
%dir %{py_sitedir}/dbus
%{py_sitedir}/dbus/*.py[co]
%dir %{py_sitedir}/dbus/mainloop
%{py_sitedir}/dbus/mainloop/*.py[co]
%attr(755,root,root) %{py_sitedir}/_dbus_bindings.so
%attr(755,root,root) %{py_sitedir}/_dbus_glib_bindings.so
%endif

%files devel
%defattr(644,root,root,755)
%{_includedir}/dbus-1.0/dbus/dbus-python.h
%{_pkgconfigdir}/dbus-python.pc

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_docdir}/dbus-python
%endif

%if %{with python3}
%files -n python3-dbus
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README doc/{API_CHANGES,tutorial}.txt
%dir %{py3_sitedir}/dbus
%{py3_sitedir}/dbus/__pycache__
%{py3_sitedir}/dbus/*.py
%dir %{py3_sitedir}/dbus/mainloop
%{py3_sitedir}/dbus/mainloop/__pycache__
%{py3_sitedir}/dbus/mainloop/*.py
%attr(755,root,root) %{py3_sitedir}/_dbus_bindings.so
%attr(755,root,root) %{py3_sitedir}/_dbus_glib_bindings.so
%endif
%changelog
* Sat Apr 18 2020 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/python-dbus.git;a=log;h=master

* Sun Feb 09 2020 Jakub Bogusz <qboosh@pld-linux.org> e47bcd6
- updated to 1.2.16

* Thu Nov 21 2019 Jakub Bogusz <qboosh@pld-linux.org> 7f489a6
- updated to 1.2.12

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> a5a8dd1
- rebuild with python 3.8
- release 3 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 9d734e5
- python 3.7 rebuild
- release 2 (by relup.sh)

* Sat Jun 09 2018 Jakub Bogusz <qboosh@pld-linux.org> a48c2cc
- updated to 1.2.8 (now uses glib2 2.40+ instead of dbus-glib)
- removed outdated epydoc patch; now it uses Sphinx
- package HTML docs in -apidocs package

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> dd303e1
- python 3.6
- release 2 (by relup.sh)

* Wed Oct 05 2016 Jakub Bogusz <qboosh@pld-linux.org> 6546066
- updated to 1.2.4

* Tue Feb 23 2016 Jakub Bogusz <qboosh@pld-linux.org> 006e969
- updated to 1.2.2

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 3fdba2b
- release 9 (by relup.sh)

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 33ba665
- release 8 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6fbe820
- python 3.5 rebuild
- release 7 (by relup.sh)

* Tue Mar 10 2015 Jan Rękorajski <baggins@pld-linux.org> 9060afd
- renamed epydoc patch
- added epydoc to BRs

* Tue Mar 10 2015 Jan Rękorajski <baggins@pld-linux.org> f22dc7f
- calling epydoc via python interpreter mixes py2 and py3 imports, disable it
- rel 6

* Mon Mar 09 2015 Jan Rękorajski <baggins@pld-linux.org> ec8f77d
- release 5 (by relup.sh)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> c3cedb1
- x32 rebuild
- release 4 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 0e1f04a
- python 3.4
- release 3 (by relup.sh)

* Fri Mar 07 2014 Jakub Bogusz <qboosh@pld-linux.org> a496aff
- don't require specific python version in -devel (all contents are common for both versions)

* Wed Oct 16 2013 Marcin Banasiak <marcin.banasiak@gmail.com> efa0732
- Build python 3 module. Release 2

* Sun May 19 2013 Jakub Bogusz <qboosh@pld-linux.org> a6a873c
- updated to 1.2.0, package more docs

* Wed Jun 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 258f47e
- updated to 1.1.1
- bumped dbus version to 1.6 (not strictly required, but strongly recommended)

